Get organisation details
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/{organisation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/{organisation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/{organisation_id} \
--header 'Authorization: Bearer <token>'{
"organisation_id": "<string>",
"users": [
{
"email": "jsmith@example.com",
"id": "<string>",
"invite_id": "<string>",
"role": "member",
"status": "<string>",
"user_current": true,
"service_principal_kind": "<string>",
"service_principal_name": "<string>"
}
],
"ai_insight_exclude_system_namespaces": true,
"ai_insight_high_restart_recency_hours": 123,
"ai_insight_high_restart_threshold": 123,
"auto_upgrade_agent": false,
"created_at": "<unknown>",
"mfa_required": false,
"name": "<string>",
"proactive_ai_insights_enabled": false,
"security_baseline_enabled": true,
"slug": "<string>",
"updated_at": "<unknown>",
"user_current": false,
"user_is_admin": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Organisation API
Get organisation details
GET
/
api
/
v1
/
org
/
organisation
/
{organisation_id}
Get organisation details
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/{organisation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/{organisation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/{organisation_id} \
--header 'Authorization: Bearer <token>'{
"organisation_id": "<string>",
"users": [
{
"email": "jsmith@example.com",
"id": "<string>",
"invite_id": "<string>",
"role": "member",
"status": "<string>",
"user_current": true,
"service_principal_kind": "<string>",
"service_principal_name": "<string>"
}
],
"ai_insight_exclude_system_namespaces": true,
"ai_insight_high_restart_recency_hours": 123,
"ai_insight_high_restart_threshold": 123,
"auto_upgrade_agent": false,
"created_at": "<unknown>",
"mfa_required": false,
"name": "<string>",
"proactive_ai_insights_enabled": false,
"security_baseline_enabled": true,
"slug": "<string>",
"updated_at": "<unknown>",
"user_current": false,
"user_is_admin": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Organisation retrieved successfully
Show child attributes
Show child attributes